package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源对象能力对象 adm_ems_obj_ability
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public class EmsObjAbility
{
    /** 序号 */
    private Long id;

    /** 模型code */
    private String modelCode;

    /** 能力键 */
    private String abilityKey;

    /** 能力名称 */
    private String abilityName;

    /** 能力描述 */
    private String abilityDesc;

    /** 能力参数 */
    private String abilityParam;

    /** 隐藏标记 */
    private Integer hiddenFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setModelCode(String modelCode) 
    {
        this.modelCode = modelCode;
    }

    public String getModelCode() 
    {
        return modelCode;
    }
    public void setAbilityKey(String abilityKey) 
    {
        this.abilityKey = abilityKey;
    }

    public String getAbilityKey() 
    {
        return abilityKey;
    }
    public void setAbilityName(String abilityName) 
    {
        this.abilityName = abilityName;
    }

    public String getAbilityName() 
    {
        return abilityName;
    }
    public void setAbilityDesc(String abilityDesc) 
    {
        this.abilityDesc = abilityDesc;
    }

    public String getAbilityDesc() 
    {
        return abilityDesc;
    }
    public void setAbilityParam(String abilityParam) 
    {
        this.abilityParam = abilityParam;
    }

    public String getAbilityParam() 
    {
        return abilityParam;
    }

    public Integer getHiddenFlag() {
        return hiddenFlag;
    }

    public void setHiddenFlag(Integer hiddenFlag) {
        this.hiddenFlag = hiddenFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("modelCode", getModelCode())
            .append("abilityKey", getAbilityKey())
            .append("abilityName", getAbilityName())
            .append("abilityDesc", getAbilityDesc())
            .append("abilityParam", getAbilityParam())
            .append("hiddenFlag", getHiddenFlag())
            .toString();
    }
}
